# Error directive

From cppreference.com
< c‎ | preprocessor

Shows the given error message and renders the program ill-formed.

### Syntax

`#error` error_message |  |

### Explanation

After encountering the `#error` directive, an implementation displays the diagnostic message error_message and renders the program ill-formed (the compilation stops).

error_message can consist of several words not necessarily in quotes.

### References

- C11 standard (ISO/IEC 9899:2011):

  - 6.10.5 Error directive (p: 174)

- C99 standard (ISO/IEC 9899:1999):

  - 6.10.5 Error directive (p: 159)

- C89/C90 standard (ISO/IEC 9899:1990):

  - 3.8.5 Error directive

### See also

C++ documentation for Error directive

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=c/preprocessor/error&oldid=79083"